跳转到主要内容
PATCH
/
table
/
{tableId}
/
plugin-context-menu
/
{pluginInstallId}
/
rename
cURL
curl --request PATCH \
  --url https://app.teable.ai/api/table/%7BtableId%7D/plugin-context-menu/%7BpluginInstallId%7D/rename \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"name":"string"}'
const url = 'https://app.teable.ai/api/table/%7BtableId%7D/plugin-context-menu/%7BpluginInstallId%7D/rename';
const options = {
  method: 'PATCH',
  headers: {
    Authorization: 'Bearer REPLACE_BEARER_TOKEN',
    'content-type': 'application/json'
  },
  body: '{"name":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
const http = require('https');

const options = {
  method: 'PATCH',
  hostname: 'app.teable.ai',
  port: null,
  path: '/api/table/%7BtableId%7D/plugin-context-menu/%7BpluginInstallId%7D/rename',
  headers: {
    Authorization: 'Bearer REPLACE_BEARER_TOKEN',
    'content-type': 'application/json'
  }
};

const req = http.request(options, function (res) {
  const chunks = [];

  res.on('data', function (chunk) {
    chunks.push(chunk);
  });

  res.on('end', function () {
    const body = Buffer.concat(chunks);
    console.log(body.toString());
  });
});

req.write(JSON.stringify({name: 'string'}));
req.end();
import http.client

conn = http.client.HTTPSConnection("app.teable.ai")

payload = "{\"name\":\"string\"}"

headers = {
    'Authorization': "Bearer REPLACE_BEARER_TOKEN",
    'content-type': "application/json"
}

conn.request("PATCH", "/api/table/%7BtableId%7D/plugin-context-menu/%7BpluginInstallId%7D/rename", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))



授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

tableId
string
必填
pluginInstallId
string
必填

请求体

application/json
name
string
必填

响应

200

Plugin context menu renamed successfully.

最后修改于 2026年3月5日